import ru.ifmo.validate.*;
import java.util.*;

public class Validate implements Validator {
	static final int MAX_N = 100000;
	static final int MAX = (int)((1L << 31) - 1);

	@Override
	public void validate(ValidatingScanner in) throws Exception {
		int n = in.nextInt(1, MAX_N);
		in.eoln();
		for (int i = 0; i < n; i++) {
			in.nextInt(0, MAX);
		}
	}

}
